bitel.billing.server.bill.bean

## Class ContractDocTypeManager

- java.lang.Object
- - bitel.billing.server.bill.bean.ContractDocTypeManager

-     public class ContractDocTypeManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractDocTypeManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContractType(ContractDocType contractType)`
    `boolean` | `checkDocTypeExist(ContractDocType contractType)`
    `void` | `deleteContractType(int id)`
    `void` | `deleteContractType(int cid, int docType)`
    `ContractDocType` | `getContractDocType(int id)`
    `java.util.List<DocType>` | `getContractDocTypeList(int cid, int type)`
    `java.util.List<ContractDocType>` | `getContractTypeList(int contractId, int type, java.lang.String docTypes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractDocTypeManager

          public ContractDocTypeManager(java.sql.Connection con,
                                        int moduleId)

  - ### Method Detail

    - #### getContractDocType

          public ContractDocType getContractDocType(int id)

    - #### getContractTypeList

          public java.util.List<ContractDocType> getContractTypeList(int contractId,
                                                                     int type,
                                                                     java.lang.String docTypes)

    - #### getContractDocTypeList

          public java.util.List<DocType> getContractDocTypeList(int cid,
                                                                int type)

    - #### addContractType

          public void addContractType(ContractDocType contractType)

    - #### checkDocTypeExist

          public boolean checkDocTypeExist(ContractDocType contractType)

    - #### deleteContractType

          public void deleteContractType(int id)

    - #### deleteContractType

          public void deleteContractType(int cid,
                                         int docType)